<template>
  <nav>
    <div>
      <router-link to="/">Home</router-link>
      <router-link :to="{ name: 'lessonsSelect' }">Lessons</router-link>
      <router-link :to="{ name: 'teachers' }">Teachers</router-link>
    </div>
    <div>
      <div v-if="!isAuthenticated">
        <router-link to="/signin">Увійти</router-link>
      </div>
      <div v-if="isAuthenticated">
        {{ userName }}
        <button @click="signOut">Вийти</button>
      </div>
    </div>
  </nav>
  <router-view />
</template>

<script>
export default {
  name: 'App',
  data() {
    return {
      isAuthenticated: false,
      userName: '',
    };
  },
  methods: {
    signOut() {
      this.isAuthenticated = false;
      this.userName = '';
    },
  },
  created() {
    this.isAuthenticated = window.username !== undefined;
    this.userName = this.isAuthenticated ? window.username : '';
  },
};
</script>

<style lang="scss"></style>
